from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XSecuritySAXEventKeeper(XSAXEventKeeper, Protocol):
    def addSecurityElementCollector(self, priority: ElementMarkPriority, modifyElement: bool) -> int: ...
    def setSecurityId(self, id: int, securityId: int) -> None: ...
